mdb(1)

NAME
mdb - Mercury debugger

SYNOPSIS
mdb [<options>] <executable> [<args>]...

DESCRIPTION
`mdb' invokes the specified command `<executable> <args>...' with Mercury debugging enabled. If that command is a Mercury program that was compiled with debugging enabled (e.g. using the `--debug' option), or if that command invokes such a program, then mdb will cause the program to be executed under the supervision of the Mercury internal debugger. Otherwise, mdb will execute the command line as if the mdb prefix weren't there. By default, all the output of the debugger and the output of the program being debugged will be interleaved on the same terminal window. This can be avoided using the `--tty' or `--window' options described below.

NOTES
mdb is one of the development tools that are part of the Mercury distribution.

This manual page is limited to a brief summary. For further information see the Mercury User's Guide.

OPTIONS
 -t <file-name>, --tty <file-name>
	Redirect all of the I/O for the debugger to the device
	specified by <file-name>.  The I/O for the program
	being debugged will not be redirected.
 -w, --window, --mdb-in-window
	Run mdb in a new window, with mdb's I/O going to that
	window, but with the program's I/O going to the current
	terminal.  Note that this will not work on all systems.
 --program-in-window
	Run the program in a new window, with the program's I/O
	going to that window, but with mdb's I/O going to the
	current terminal.  Note that input and output redirection
	will not work with the `--program-in-window' option.
	`--program-in-window' will work on most UNIX systems
	running the X Window System, even those for which
	`--mdb-in-window' is not supported.
 -c <window-command>, --window-command <window-command>
	Specify the command used by the `--program-in-window'
	option for executing a command in a new window.
	The default such command is `xterm -e'.

ENVIRONMENT VARIABLES
MERCURY_OPTIONS, MERCURY_DEBUGGER_INIT.

AUTHORS
The Mercury team.

See <http://www.mercurylang.org/contact/people.html>.

COPYRIGHT
This program and its documentation are copyright by the University of Melbourne. They may be copied only under the terms of the GNU General Public License - see the file COPYING in the Mercury distribution.

SEE ALSO
<http://www.mercurylang.org/information/documentation.html>

The Mercury User's Guide.

The GNU General Public License.